Download Object
Description
This API allows you to download the required object stored in a bucket. The Bucket is referred by its unique bucket name, and the required object is referred using its name.
Request Details
Request URL
{bucket_name}.zohostratus.com/{key}
The above domain name will change with respect to the data center:
| DC | Domain Name |
|---|---|
| US | zohostratus.com |
| EU | zohostratus.eu |
| IN | zohostratus.in |
| AU | zohostratus.com.au |
| CA | zohostratus.ca |
| SA | zohostratus.sa |
| JP | zohostratus.jp |
Note:
-
If the API is used in the development environment, then the domain will be structured in this manner: https://<bucket_name>-development.zohostratus.com
-
It is advisable to collect the bucket URL from the console.
Path Parameters
Query Parameters
Request Headers
Authorization: Zoho-oauthtoken {oauth_token}
Optional Headers
Range: To download a specific byte range of an object
retrieve-meta: To retrieve the metadata of the object | Possible Values: True/False | Default Value: False
Scope
Stratus.fileop.READ
Query Params to Override Responses
The following query parameters can be added to modify responses and get the required response. These are all optional parameters. The override will only work if the request is successful.
attachment; filename=“name”
Example: attachment; filename=“logo.svg”
Example: public,max-age=3600,no-transform
Response Details
On successful execution, the response will contain the object will be downloaded and the success message will be displayed.
Possible Failure Responses
404 due to object/bucket not found:
{
"status": 404,
"code": "key_not_found",
"message": "no such key is associated with any object in the bucket"
}
403 Unauthorized. When you do not have the required permissions to perform the download operation
{
"status": 403,
"code": "access_forbidden",
"message": "request denied by resource access policy"
}
curl -X GET https://{bucket_name}.zohostratus.com/{key}
-H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57”
200 OK
// Bytes of raw data
Yes
No
Send your feedback to us